## com.baidubce.services.moladb.model
Class GetInstanceResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.moladb.model.GetInstanceResponse

    public class GetInstanceResponse

extends AbstractBceResponse

Represents the output of a GetInstance operation.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetInstanceResponse()` Constructs a new GetInstanceResponse object.

Method Summary
`String` `getDescription()` Get the description information for this instance.
`String` `getInstanceName()` Get the name of this instance.
`List<String>` `getTableNames()` Get all of the table names belong to this instance.
`void` `setDescription(String description)` Set the description information for this instance.
`void` `setInstanceName(String instanceName)` Set the name of the requested instance for response.
`void` `setTableNames(List<String> tableNames)` Set the table names to the response tables set.

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetInstanceResponse

    public GetInstanceResponse()

  Constructs a new GetInstanceResponse object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getDescription

    public String getDescription()

  Get the description information for this instance.

  Returns:
    The description information for this instance.

### getInstanceName

    public String getInstanceName()

  Get the name of this instance.

  Returns:
    The name of this instance.

### getTableNames

    public List<String> getTableNames()

  Get all of the table names belong to this instance.

  Returns:
    All of the table names belong to this instance, the type is in List<String> type.

### setDescription

    public void setDescription(String description)

  Set the description information for this instance.

  Parameters:
    `description` - The description information for this instance.

### setInstanceName

    public void setInstanceName(String instanceName)

  Set the name of the requested instance for response.

  Parameters:
    `instanceName` - The name of the requested instance.

### setTableNames

    public void setTableNames(List<String> tableNames)

  Set the table names to the response tables set.

  Parameters:
    `tableNames` - The names of tables to be added to the response tables set, the type is in List<String> type.

Copyright © 2016. All rights reserved.